[mythtv] Compiling trunk under OS X 10.6 (Snow Leopard)

George Nassas gnassas at mac.com
Tue Oct 20 19:39:12 UTC 2009

On 2009-10-19, at 10:05 PM, Nigel Pearson wrote:

> HTTP 500 Internal Server Error

Sorry, I guess it was trying to run the perl script instead of serving  
it up. Makes sense I suppose. I changed it to http://files.nassas.com/osx-packager.txt 
  but I guess it won't be useful since we have 32/64 bit differences.

> I thought 64 bit was now the GCC default?

It looks like configure defaults to x86 (i386) so I have to override  
it on my machine to be compatible with the 64 bit mysql libs.

> Early MacBook (Core Duo, not Core2 Duo), so NOT 64 bit.

Hmph. That explains why your results are different from mine but not  
why your build is failing. IIRC the last time I tried building myth I  
forced mysql to build i386 and Qt was able to build to the end so it  
can happen. Is it possible you have old Qt libraries in /Developer or  
somewhere? That bit me once.

I don't know if I'll ever come up with anything useful on that  
assembler failure but in general would you like to make the packager  
build things universal or move to specific settings for 64 bit snow  

- George

More information about the mythtv-dev mailing list